#
# spec file for package tomboy (Version 1.0.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           tomboy
Version:        1.0.1
Release:        0.1.2
License:        LGPLv2.1+
Summary:        GNOME Note Taking Application
Url:            http://www.beatniksoftware.com/tomboy/
Group:          Productivity/Office/Other
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  art-sharp2
BuildRequires:  dbus-1-x11
BuildRequires:  fdupes
BuildRequires:  gconf-sharp2
BuildRequires:  glib-sharp2
BuildRequires:  gmime-sharp
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-panel-devel
BuildRequires:  gnome-panel-sharp
BuildRequires:  gtk-sharp2
BuildRequires:  gtkspell-devel
BuildRequires:  intltool
BuildRequires:  libxslt-devel
BuildRequires:  mono-addins
BuildRequires:  mono-basic
BuildRequires:  mono-data-sqlite
BuildRequires:  mono-devel
BuildRequires:  mono-nunit
BuildRequires:  ndesk-dbus
BuildRequires:  ndesk-dbus-glib-devel
BuildRequires:  tango-icon-theme
BuildRequires:  update-desktop-files
Requires:       %{name}-lang = %{version}
Requires:       dbus-1-x11
Requires:       gtk-sharp2
Requires:       gtkspell
Requires:       mono
Requires:       mono-core
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
Tomboy is a desktop note taking application for Linux and Unix. Simple
and easy to use, but with potential to help you organize the ideas and
information you deal with every day.

%lang_package
%prep
%setup -q

%build
#autoreconf -f -i
%configure\
	--disable-schemas-install\
	--disable-scrollkeeper
make

%install
%makeinstall
%suse_update_desktop_file tomboy          Utility  DesktopUtility
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
# libtomboy does not export its headers, so it can't be used
# outside tomboy package,
rm %{buildroot}%{_libdir}/tomboy/*.*a
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%post -p /sbin/ldconfig

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%postun -p /sbin/ldconfig

%files -f %{name}.lst
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-panel
%{_libdir}/%{name}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/bonobo/servers/GNOME_TomboyApplet.server
%doc %{_mandir}/man1/%{name}.1.gz
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/tomboy
%{_datadir}/dbus-1/services/org.gnome.Tomboy.service
%{_datadir}/applications/tomboy.desktop

%files lang -f %{name}.lang
%define __find_provides env sh -c 'filelist=($(grep -v -E "%{_libdir}/%{name}/addins|Mono.Addins")) && { printf "%s\\n" "${filelist[@]}" | %{_prefix}/lib/rpm/find-provides && printf "%s\\n" "${filelist[@]}" | %{_bindir}/mono-find-provides ; } | sort | uniq'

%changelog
* Fri Dec 11 2009 dimstar@opensuse.org
- Update to version 1.0.1:
  + bgo#594046 - Add support for Ubuntu One and others using OAuth
    1.0a
  + bgo#576554 - Fix printing in Windows Vista and Windows 7
  + bgo#601067 - Show correct help version on Windows and Mac
  + bgo#590653 - Always show icons for note items in recent notes
    menu
  + Also fixes bgo#596416, bgo#596395
  + Updated translations.
* Mon Sep 28 2009 dimstar@opensuse.org
- Update to version 1.0.0:
  + bgo#595098 -  Fix crash when showing Search from panel applet
  + Redirect complete applet output to
    ~/.config/tomboy/tomboy-panel.log
  + Every patch contributor goes in the About dialog now
  + Updated translations.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 0.15.7:
  + WebSync updates:
  - Update for latest (hopefully final) REST API spec.
  - Initial support for OAuth 1.0a servers (bgo#594046).
  - Drop heavy System.Web dependency by bundling HttpUtility
    class.
  - Fix parsing bug that caused Tomboy to upload empty notes to
    the server.
  - More streamlined initial auth procedure (less clicks).
  - Fix error when connecting before logged in to Snowy
    (bgo#591455).
  + Other updates:
  - Prevent crash on PPC and ARM when showing menus (bgo#586605,
    bgo#593422).
  - Don't connect to session manager when running as applet
    (bgo#533537).
  - When closing search window, do not quit if Tomboy icon is
    visible (bgo#584910).
  + Updated translations.
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 0.15.6:
  + Migrate notes from ~/.tomboy, following Free Desktop standards
    on Linux and appropriate conventions on Windows and Mac OS X
    (bgo#518585, bgo#557288).
  + Don't force port 22 when no port is specified for SSH sync
    (bgo#574517).
  + Add preference in GConf for maximum width of note menu
    (bgo#417145).
* Tue Aug 11 2009 vuntz@novell.com
- Update to version 0.15.5:
  + Option to sync from Tomboy icon's contextual menu (bgo#468459).
  + Rename notebooks from the Search window (bgo#435734).
  + Clean up wasted space in Search and Preferences windows
    (bgo#574155 and more).
  + Maintain scroll position when notes change while Search window
    open (bgo#588593).
  + Fix Notebook toolbar button appearance with 'text beside icons'
    setting.
  + Updated translations.
* Wed Jul 29 2009 dominique-obs@leuenberger.net
- Update to version 0.15.4:
  + Improved behavior when changing font sizes
  + Builds fixes on Windows and Mac OS X
  + Require gtk+ 2.14 and stop using obsolete libgnome APIs
  + Updated translations.
- Remove gnome-sharp2 BuildRequires.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 0.15.3:
  + New underline formatting add-in (disabled by default).
  + Add ctrl +/- shortcuts for changing font size (bgo#488822).
  + Fix bullet display in HTML export (bgo#422954).
  + Update WebSync to use OAuth for authentication, and use the
    latest REST API.
  + Fix i18n issue in WebSync.
  + Add "Get More Add-Ins..." link in the Add-Ins tab of
    Preferences.
  + Reduce command line output when not running Tomboy with
  - -debug.
  + Fix tarball for those that need panelapplet-sharp bundled.
  + Documentation updates.
  + Updated translations.
* Tue Jun 16 2009 vuntz@novell.com
- Update to version 0.15.2:
  + Fix HTML Export on Mac OS X (bgo#583995).
  + Updated translations.
* Tue May 26 2009 vuntz@novell.com
- Update to version 0.15.1:
  + New WebSync add-in syncs to any server that implements the
    Tomboy Web REST API, such as Snowy
    [http://live.gnome.org/Snowy].  Baby-eating preview release.
  + Require Mono 1.9.1 to *build* Tomboy (bgo#573923).
  + Prevent PATH problems on Windows from breaking Tomboy
    (bgo#558314).
  + Search for phrases by quoting search text (bgo#551097).
  + Fix drag&drop & middle-click paste of linked text (bgo#414029).
  + Save width of notebook pane in Search window (bgo#563744).
  + Disable sync menu items until backend configured (bgo#473335).
  + Close note find bar on escape, even when not focused
    (bgo#540822).
  + Support FUSE being built-in to kernel (bgo#500524).
  + Prevent crashes when reading unexpected note XML (bgo#581844).
  + Change "Open New Note Template" LinkButton to Button to prevent
    error (bgo#581582).
  + Focus search field every time Search window summoned
    (bgo#535131).
  + Only show Start Here note on first run if not running as applet
    (bnc#299810).
  + HIG compliance in Sync preferences (bgo#574154).
  + Use correct "info" icon in add-in info windows (bgo#508844).
  + Use relative path to load help (bnc#326457).
  + Cache frequently-used text tags in one place instead of five.
  + Documentation updates.
  + Updated translations.
- Drop tomboy-no-highlight.patch: upstream disagrees and we don't
  want to diverge.
- Drop tomboy-disable-starthere.patch: fixed upstream.
- Drop tomboy-help-bundle.patch: fixed upstream.
* Tue May  5 2009 vuntz@novell.com
- Update to version 0.15.0:
  + New NoteDirectoryWatcher add-in supports directly editing note
    files.
  + Improve startup time by only rebuilding add-in registry when
    passing --debug.
  + Fix random startup crash caused by using GConf before GTK+ was
    initialized.
  + Improvements to printing add-in (bgo#572024).
  + Active Fixed Width with ctrl-t (bgo#357426, bgo#418964).
  + Add resize grip to Search All Notes window (bgo#500513).
  + Highlight wiki words starting with "Mac", "Van", etc
    (bgo#392627).
  + Usability improvements to note find bar (bgo#483297).
  + Fix over-zealous URL matching (bgo#436994).
  + Support GMime 2.2 and 2.4 (bgo#565336).
  + Upgrade Windows to Mono.Addins 0.4 (no more console window)
    (bgo#572088).
  + Documentation text now cross-platform (bgo#576487, bgo#500803).
  + Support console logging on Windows.
  + Theming fixes on Windows XP.
  + Updated translations.
* Wed Apr 29 2009 vuntz@novell.com
- Do not explicitly package the gconf schemas: it's already
  packaged via the file list created with the gconf macros.
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 0.14.1:
  + Updated translations.
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 0.14.0:
  + Fix buggy behavior with Tomboy icon menus in Windows
    (bgo#556406, bgo#566173).
  + Updated translations.
- Remove AutoReqProv: it's default now.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 0.13.6:
  + Fixes to linking (bgo#436994, bgo#573317, bgo#525753)
  + Add printing support to Mac OS X version.
  + Localization fixes: bgo#572096, bgo#570121
  + Updated translations.
* Tue Feb 17 2009 mboman@suse.de
- Update to version 0.13.5:
  + Additional updates to note printing (bgo#512369, bgo#572024)
  + Windows installer now requires Novell's GTK# >= 2.12.8
    (bgo#569324)
  + Increase/Decrease Indent shortcuts now appear in menu
    (bgo#570334)
  + No longer writes to disk every 40 seconds (bgo#514434)
  + Fixes to note linking (bgo#323845)
  + Add GConf preference for auto-accepting SSL Certs in
    WebDAV sync (bgo#531364)
  + After succcessfully configuring sync, offer to perform first
    sync (bgo#553079)
  + Other fixes: bgo#570917, bgo#570918.
  + Translation updates
- Remove libgnomeprintui-devel and scrollkeeper from BuildRequires
* Tue Feb 10 2009 vuntz@novell.com
- Remove non-upstream translations: they'll get out-of-date.
* Tue Feb  3 2009 mboman@suse.de
- Update to version 0.13.4:
  + Removed bundled Mono.Addins. Mono.Addins is now a hard
    dependency
  + Update printing to use Gtk.Print (bgo#512369) Still buggy
  + Fix multi-page printing of exported note HTML (bgo#548198)
  + Fix crash when clicking link and browser not set (bgo#569639)
  + 64-bit Windows support (bgo#558272)
  + Search window position saved on Windows/Mac (bgo#559663)
  + Fix lingering tray icon in Windows (bgo#569709)
  + Fix bug with font settings (bgo#559724)
  + Mac MonoDevelop solution now easier to build
  + Other fixes: bgo#562846
  + Translation updates
- Add mono-addins to BuildRequires
* Mon Feb  2 2009 mboman@suse.de
- Update to version 0.13.3:
  + Rename Mono process to "tomboy" instead of "Tomboy" (bgo#565166).
  + Cut down memory usage by 25%% (bgo#565790). Also improves startup
    times a bit.
  + Fix panel applet icon background transparency (bgo#567308).
  + Improvements in translatable strings (bgo#566711, bgo#565208).
  + Fix crash associated with notes with '&' or '<' in their title
    (bgo#566967).
  + Translation updates
* Wed Jan 14 2009 mboman@suse.de
- Update to version 0.13.2:
  + Fix Windows<->Linux sync incompatiblities (bgo#559094).
  + Fix data loss bug in sync and SetNoteCompleteXml dbus method.
  + Link fixes in HTML Export (bgo#564150).
  + Header cleanups in libtomboy (bgo#564235).
  + Translation updates.
- Changes from previous versions:
  + Configure/build fixes.
  + Initial support for Windows and Mac OS X.
- Remove tomboy-applet-fix.patch. Fixed upstream
- Remove tomboy-sync-dataloss.patch. Fixed upstream
* Mon Jan 12 2009 mauro@suse.de 
- Translations update.
* Sun Jan 11 2009 gburt@suse.de
- Patch to fix dataloss when syncing issue (bnc#465224)
- Patch to fix issue panel applet theming (bnc#462496)
* Fri Jan  9 2009 mauro@suse.de 
- Translations update.
* Fri Jan  9 2009 mauro@suse.de 
- Translations update.
* Sat Dec  6 2008 mauro@suse.de
- Translation update.
* Thu Nov  6 2008 vuntz@novell.com
- Remove BuildRequires on galago-sharp so we can remove galago
  from the repository.
- Spec cleanup (remove checks for suse version <= 1010).
* Sun Oct 19 2008 mboman@suse.de
- Update to version 0.12.1:
  + Bundle gnome-sharp panel applet code (as we did prior to 0.11.3) if
    building against gnome-sharp < 2.23.90. See bgo#555318 for details.
* Tue Sep 23 2008 maw@suse.de
- Update to version 0.12.0:
  + Reverted to the 0.10.x-era printing add-in, as the new one is
    not ready yet
  + Many fixes to note synchronization (bgo#535279).
  + Fixes to internal Gnome.Keyring code (bgo#499841)
  + Remove extraneous note saves when using dbus interface
    (bgo#543593)
  + Relicensed tomboykeybinder and tomboyutil to MIT/X11
  + Updated translations.
* Mon Sep 15 2008 jpr@novell.com
- Add gnome-panel-sharp to BuildRequires because it was split into
  a separate package
- Don't package the OMF files multiple times
- Use -p /sbin/ldconfig
* Thu Sep  4 2008 mboman@novell.com
- Upgrade to version 0.11.3:
  + Fix to build with gnome-sharp 2.23.90 (bgo#548836).
* Tue Aug 19 2008 ajorgensen@novell.com
- Upgrade to version 0.11.2
  * Fix to build with gtk-sharp 2.10 (bgo#547900).
  * Partial fix for spell-checking/fixed-width issues (bgo#530856, Stefan Schweizer).
  * Fixes to HTML Export add-in linking (bgo#546623, Stefan Schweizer).
  * Fix makefiles to support parallel building (bgo#547506).
  * Various crasher fixes.
  * Translation updates: ar, et, fi, gu, nb, pt, pt_BR, sv, th
- Remove obsolete configure option --enable-tango
- Use %%makeinstall macro
* Mon Aug 18 2008 ajorgensen@novell.com
- Make with multiple jobs causes build problems, disable for now
* Wed Aug  6 2008 ajorgensen@novell.com
- Upgrade to version 0.11.1:
  * New tray icon code using GtkStatusIcon (kill libegg, bgo#349265, Stefan Cosma).
  * Fix crashers: bgo#544406, bgo#460642, bgo#544996, bgo#523035
  * Fix bugzilla addin to accept bug IDs of one or more digits (bgo#533024).
  * Fix behavior when start note is recreated (bgo#508982, Jon Lund Steffensen)
  * Include .mdb files during install. Enable --debug, --trace, and --profile.
  * Translation updates: ar, bg, ca, de, es, et, fr, gl, he, nb, nl, oc, pt_BR,
    sk, sv, th, vi, zh_CN
* Fri Jun 27 2008 mauro@suse.de
- Upgrade to version 0.11.0:
  * Update printing to use Gtk.Print (#512369, John Anderson).  Formatting and
  styles not supported yet, patches welcome.
  * Bump gtk-sharp dependency to 2.10.
  * New Tasque addin, disabled by default.
  * Add "New notebook..." menu item to Notebook toolbar button (#532196).
  * Increase default max width of note menu to 100 characters.
  * Fix check for Mono.Addins >= 0.3 (#521616, Łukasz Jernaś).
  * Move to managed code for calculating color contrasts (Sebastian Dröge).
  * Fix shebang lines in bash scripts (#521160, Romain Tartiere).
  * Show text lables on toolbar buttons (#528844).
  * Don't show sync password in log and console output (#524707).
* Tue May 20 2008 btimothy@suse.de
- Upgrade to version 0.10.2:
  * Fix improper printing of password during webdav sync (bgo#524707).
  * Fix check for Mono.Addins (bgo#521616).
  * Fix bash usage (bgo#521160).
  * Fix sshfs/wdfs note sync mounting issues (bgo#522424).
  * Translation updates: et, fr, hu, nn, sk, tr
* Mon Apr 28 2008 ajorgensen@novell.com
- Remove Mono.Addins.* and all tomboy addins assemblies from provides
  Partially fixes bnc#381750
* Thu Apr  3 2008 hpj@suse.de
- Upgrade to version 0.10.0:
  * Fix icon sizes and install locations (bgo#507239).
  * Fix multi note drag and drop into a notebook (bgo#513046).
  * Fix remembering size/position of search window (bgo#518316).
  * Fix title column in search window for long titled notes (bgo#518666).
  * Fix long note titles in main menu to prevent wide menu (bgo#417145).
  * Fix to allow ampersand (&) in a notebook name (bgo#510003).
  * Fix scroll to end of large paste (bgo#441296).
  * Fix infinite loop with panel size <= 16 pixels (bgo#503226).
  * Fix links from DnD files/folders with spaces (bgo#303902).
  * Fix line of dashes (-----) from being interpreted as bulleted list
  * (bgo#490161).
  * Fix infinite loop when exporting circularly linked notes to HTML (bgo#422951).
  * Fix to remove bundled ndesk-dbus since it's now included in GNOME
    (bgo#509187).
  * Fix to prevent notebook assignment from modifying last change date
  * (bgo#508798).
  * Fix support of new GConf Property Editors (bgo#512512).
  * Fix deleted notes from being recreated (bgo#507493).
  * Other bugfixes: bgo#496986, bgo#503165, bgo#507249, bgo#507382, bgo#510442, bgo#514284,
    bgo#518294
  * Fix crash due to old version of an addin being loaded (bgo#514931).
  * Fix crash when DnD evo and bugzilla links (bgo#486551, Stefan Cosma).
  * Fix evolution link to be escaped properly (bgo#367623, Stefan Cosma).
  * Fix drag and drop same bugzilla link to a note multiple times (bgo#519876).
  * Fix initial note sorting (bgo#519042).
  * Fix crash due to old version of an addin being loaded (bgo#514931).
  * Fix crash when DnD evo and bugzilla links (bgo#486551, Stefan Cosma).
  * Fix evolution link to be escaped properly (bgo#367623, Stefan Cosma).
  * Fix drag and drop same bugzilla link to a note multiple times (bgo#519876).
  * Fix synchronizing notebooks without having to restart Tomboy (bgo#518870).
  * Fix so '-'/'*' with leading spaces -> bulleted line (bgo#490161,
    Stefan Cosma).
  * Fix libtomboy compile/link issues (bgo#519237 and bgo#501524).
  * Fix icon packaging and usage in add-ins (bgo#518740).
  * Fix out-of-date bundled Mono.Addins to be version 0.3 (bgo#519170).
  * Updated documentation to cover new features in 0.10.0 (bgo#520513, Paul
    Cutler).
- Depend on NDesk.
- Remove upstreamed patches.
* Thu Jan 31 2008 rodrigo@suse.de
- Update to version 0.9.5:
  * Fix duplicate notebooks in menu (bgo#509989)
  * Fix DBus close note interface (bgo#511460)
  * Fix case-sensitivity option in find bar (bgo#428884)
  * Fix some of the icons used for notebooks (bgo#507239)
  * Remove old dependency on libdbus and libdbus-glib
- Remove upstreamed patch
* Mon Jan 21 2008 jpr@suse.de
- Add tomboy-dbus-expansion.patch to fix broken autogenerated mono
  requires (we use ndesk-dbus so dbus requirements are unneeded)
* Mon Jan 14 2008 btimothy@suse.de
- Update to 0.9.4.  Fixes the following bugzilla.gnome.org bugs:
  [#508110], #508064, #501600, #480736, #488117, #508307, #359168,
  [#359167], #444912, #507946, #508311.
* Mon Jan  7 2008 btimothy@suse.de
- Update to 0.9.3.
- Removed the following (which are superceded by 0.9.3):
  tomboy-tasks.tar.bz2, tomboy-tasks-addin-20070917.patch,
  tomboy-insecure-ldpath-bnc340477.patch
- Updated Authors list.
* Fri Nov  9 2007 btimothy@suse.de
- Fix a security vulnerability in the startup scripts which used
  LD_LIBRARY_PATH incorrectly.  Fixes BNC #340477.
* Mon Sep 24 2007 btimothy@suse.de
- Fix broken help documentation (F1) by using a relative path to
  the help directory instead of the full path.  This is needed
  because of the new help-bundle directories.  Fixes BNC #326457.
* Mon Sep 17 2007 btimothy@suse.de
- Updated to stable version 0.8.0 (fixes the following
  bugzilla.gnome.org bugs: #473354, #475622, #475516 and the
  following bugzilla.novell.com bug: #308447).
- Removed unnecessary debug console messages from
  tomboy-tasks-addin-*.patch.
* Mon Sep  3 2007 btimothy@suse.de
- Updated to version 0.7.6 (fixes the following bugzilla.gnome.org
  bugs: #470620, #472670, #463957, #459697, #393249, #471260,
  [#473149]).
- Updated tomboy-tasks-addin*.patch to fix checkboxes in todo items
  listed in tomboy's main menu.
- Removed patches that are now fixed directly in 0.7.6.
- Added tomboy-panel to the %%files section.
* Mon Aug 27 2007 btimothy@suse.de
- Fix the position of the TODO items that show up in tomboy's
  main menu when the panel/notification area that tomboy's in
  is at the top of the screen.
* Mon Aug 27 2007 btimothy@suse.de
- Expose events for note save/add/delete over DBus.  Fixes
  BGO #465639.
- Synchronization fixes from svn.gnome.org/svn/tomboy/trunk r1444.
- Prevent attempting to mount FUSE paths for synchronizing more than
  once.  Improved gnome-keyring-sharp exception handling.
- Fixed sync pref widget sensitivity and nuke client manifest.xml
  during save and reset.
- Fixed strings in sync dialog.
* Fri Aug 24 2007 btimothy@suse.de
- Replaced tomboy-tasks-addin-20070801.diff with
  tomboy-tasks-addin-20070824.diff which fixes the view completed
  tasks menu item in the task list window.  Also allows users to
  delete multiple todos inside a note by highlighting them and
  overwriting them (or pressing the delete key).  This is part
  of BGO #462626.
* Mon Aug 20 2007 btimothy@suse.de
- Update to version 0.7.4 (improved sync config, shift+delete
  added to cut text, openSUSE build fix, BGO #462421, #461972,
  [#437684], #462893, #321037).
- Added the tomboy-disable-starthere.patch back in to fix
  BNO #299810.
- Removed attributes.patch since that's taken care of in 0.7.4.
- Updated tomboy-tasks.tar.bz2 to have 0.7.4 directory.
- Removed tomboy-gconf-schema-fix.patch since it's fixed in 0.7.4.
* Wed Aug  8 2007 maw@suse.de
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Mon Aug  6 2007 sbrabec@suse.cz
- Build with just splitted gmime-sharp.
* Sun Aug  5 2007 maw@suse.de
- Add attributes.patch and thereby fix the build
- Use %%fdupes.
* Thu Aug  2 2007 btimothy@suse.de
- Replaced tomboy-tasks-addin-fixes.patch with
  tomboy-tasks-addin-20070801.diff which contains updated fixes
  from BGO #462626.
* Tue Jul 31 2007 btimothy@suse.de
- Update to version 0.7.3
- Removed the plugin path patch since plugins are no longer used
- Add the code for the tasks addin
- Build and enable tasks addin by default
- Specify a default sync_conflict_behavior in gconf to avoid warning
* Mon Jul  9 2007 mauro@suse.de
- Update to version 0.7.1
- Code cleanup into the Bugzilla's plugin code.
- Creation of a basic Epiphany extension
* Wed Apr 11 2007 maw@suse.de
- Update to version 0.6.3, which actually includes dbus-sharp in
  its tarball (b.g.o #427933).
* Wed Apr 11 2007 maw@suse.de
- Update to version 0.6.2
- Updated translations for the following locales: eu, dz, et, gl,
  ko, es, tr, and uk.
* Mon Apr  9 2007 maw@suse.de
- Update to version 0.6.1
- bugzilla.gnome.org #414957, #414933, #412402, #412404, #$405577,
  [#413234], and #413230
- Remove tomboy-disable-starthere.patch,
  tomboy-no-custom-font.patch, and
  tomboy-disable-notd-plugin.patch, which have made it upstream.
* Mon Feb 19 2007 btimothy@suse.de
- Added "-p1" to the previous patch to disable the NotD plugin.
* Fri Feb 16 2007 btimothy@suse.de
- Disable the NotD plugin by default.  Fixes bug #246309.
* Fri Feb 16 2007 btimothy@suse.de
- Update to version 0.5.8 (bugfixes only release)
- Fixes the following bugzilla.gnome.org bugs:
- Fix DBus registration (#406224, Sebastian Dröge).
- Fix configure to work with --enable-dbus=no (#405577).
- Fix undo/redo actions for multi-byte characters (#407205).
* Mon Feb 12 2007 btimothy@suse.de
- Update to version 0.5.7 (bugfixes only release)
- Fixes the following bugzilla.gnome.org bugs:
- Fix bullet support for RTL languages (#405603).
- Fix DBus session restart crash (#404738).
- Fix linking against installed ndesk-dbus (#405577, Sebastian Dröge).
* Mon Feb 12 2007 aj@suse.de
- Remove unneeded glade-sharp build requires.
* Mon Feb  5 2007 btimothy@suse.de
- Update to version 0.5.6 (bugfixes only release)
- Fixes the following bugzilla.gnome.org bugs:
- Fix multi-line indent in bulleted lists (#402338).
- Fix panel icon sizing (#354416, #403500).
- Fix search window timestamp when notes are changed (#378400).
- Fix problem of formatting being applied to bullet chars (#403026).
- Fix crashes opening help and preferences dialog from menu (#403290).
- Fix to prevent note title from being bulleted (#403408).
- Fix non-translatable strings in plugins (Mathias Hasselmann, #387579).
- Fix NoteOfTheDay title rename from "NotD" to "Today".
- And others (#356448, #403033, #403745)
* Tue Jan 30 2007 btimothy@suse.de
- Removed dbus-1-mono, dbus-1-glib-devel, and dbus-1-devel as
  dependencies since they are not required to build/run tomboy.
  Tomboy uses NDesk's DBusSharp to communicate with DBus directly
  without using gtk's old dbus library.
  Fixes bug #239618.
* Mon Jan 29 2007 btimothy@suse.de
- Update to version 0.5.5 (bugfixes only release)
* Sat Jan 20 2007 btimothy@suse.de
- Update to version 0.5.4 (bugfixes only release)
* Wed Jan 17 2007 btimothy@suse.de
- Bumped version to 0.5.3
- Removed patched images (included by upstream)
- Commented-out unneeded patches (fixed upstream)
- Changed com.beatniksoftware.Tomboy.service ->
  org.gnome.Tomboy.service
- Removed check for version 0.3.3 in prep section
- Updated the Authors list
- Updated tomboy-disable-starthere.patch to apply
  against 0.5.3
- Updated tomboy-plugins-folder-fixes.patch to apply
  against 0.5.3
- Commented-out GNOME_TomboyApplet.xml since Tomboy
  doesn't install this file anymore
- Updated requires to use *-sharp2 packages
- Removed patches now included upstream
- Removed gtk dbus requirement since this package
  now uses dbussharp (C# api for dbus)
* Mon Dec 18 2006 maw@suse.de
- Move to /usr.
* Tue Dec  5 2006 james@usr-local-bin.org
- Use correct DBus location on older products
* Fri Dec  1 2006 sbrabec@suse.cz
- Build correctly in older products.
- Enabled galago, evolution and nunit integration.
* Fri Nov 24 2006 btimothy@suse.de
- Additional fix for BNC #177298.  Updates from the DBusSharp
  project to support reading of non-native endian messages.  D-Bus
  capabilities should now work on PPC and similar architectures.
* Mon Nov 20 2006 btimothy@suse.de
- Fix for BNC #177298.  Removed the old DBus bindings to libdbus
  and added NDesk's DBusSharp (Managed DBus) as a replacement. DBus
  in Tomboy works more reliably now.
* Tue Nov 14 2006 btimothy@suse.de
- Fix for BNC #220656.  Installs com.beatnicsoftware.Tomboy.service
  into the directory defined in dbus-1.pc file (if present).  Also
  adding dbus-1-devel to the BuildRequires line.
* Mon Nov 13 2006 btimothy@suse.de
- Fix for BNC #220299.  Updated tomboy.spec to use gtk-sharp2 and
  not gtk-sharp.  Also updated data/tomboy-plugins.pc.in to use
  gtk-sharp-2.0.
* Thu Nov  9 2006 stbinner@suse.de
- fix menu category
* Sat Oct 14 2006 danw@suse.de
- Remove dead patches
- Update and re-enable tomboy-disable-starthere.patch
* Fri Oct 13 2006 aj@suse.de
- Add gnome-doc-utils-devel to BuildRequires.
* Fri Sep 15 2006 jhargadon@suse.de
- update to version 0.4.1
- Require gtkspell >= 2.0.9
    for spell-checking support to be enabled
- Tomboy/Watchers.cs: In NoteLinkWatcher, highlight links at
    sentence boundaries as well as word boundaries.  This fixes
    linking to notes with titles ending or beginning in punctuation
- Tomboy/Applet.cs: Fix bug #354416 by setting the
    PanelAppletFlags.ExpandMinor flag to get sizing updates, and
    overriding OnChangeSize to set the icon's size request
* Thu Sep 14 2006 jhargadon@suse.de
- update to version 0.4.0
- Remove all references to tintin.png
* Tue Aug 29 2006 jhargadon@suse.de
- update to version 0.3.9
- Support building with Gtk# 2
- New Sticky Notes import plugin
- Note loading code cleanups
- Use Tango icons by default
- Allow icon theming
- Support TOMBOY_PATH environment variable
- Fix recursive HTML note export infinite loop
- Fix Preferences dialog modality
- Locale-friendly dates on printed note footer
- Install Gnome URL handler for note://
- Improve ToC load time
* Thu Aug 17 2006 aj@suse.de
- Fix build.
- Remove unneeded BuildRequires.
* Wed Aug 16 2006 btimothy@suse.de
- Fix for BNC #172414.  An error message is now shown to the user
  if the HTML Export fails for any reason.
* Tue Aug 15 2006 btimothy@suse.de
- Fix for BNC #177868.  Fixes problem of "Export Linked Notes"
  option from only exporting one level deep.  Two new radio buttons
  are now used underneath the checkbox that allow the user to
  include notes directly linked in the top-level note, or all notes
  recursively linked.
* Fri Aug 11 2006 btimothy@suse.de
- Fix for BNC #177290.  Prevents infinite recursion (segfault) when
  exporting a note to HTML that contains a link to itself.
* Mon Jun 26 2006 gekker@suse.de
- Update translations for pt_BR, zh_TW
* Fri Jun 16 2006 gekker@suse.de
- Update translations for ja
- Update icons (#185885)
* Fri Jun  9 2006 gekker@suse.de
- Update translations for cs
* Tue May 30 2006 gekker@suse.de
- Add translations for fi, zh_TW, update translations for hu
* Fri May 19 2006 gekker@suse.de
- Update translations for pt_BR, fr, it, de, zh_CN
* Fri May 19 2006 joeshaw@suse.de
- Add a patch to handle command-line arguments correctly even if
  there isn't an already-running Tomboy instance.  (bnc #177298)
* Thu May 18 2006 joeshaw@suse.de
- Add a patch to fix a crash when dragging an item onto the icon
  if you have no "Start Here" note.  (bnc #176704)
* Thu May 18 2006 joeshaw@suse.de
- Add a patch to fix the crash in bnc #175872.
* Wed May 17 2006 joeshaw@suse.de
- Add patch to use the default application font.  (bnc #176428)
* Thu May  4 2006 gekker@suse.de
- Add 24x24 icon and uses tomboy instead of stock_notes (#171753)
* Tue Apr 18 2006 joeshaw@suse.de
- Add a patch to make the "Export to HTML" plugin use the newer
  GtkFileChooser.  (bnc #118247, bgo #320967)
* Tue Apr 11 2006 gekker@suse.de
- Update icons (#163228)
* Sat Mar 25 2006 joeshaw@suse.de
- Add a patch to fix crashes when clicking on "Open Plugins
  Folder" in context menu.  Fixes bnc #160108.
* Wed Feb 22 2006 danw@suse.de
- Add tomboy-transparent-trayicon.patch to make the tray icon
  pretty under KDE. #135448
* Fri Feb 10 2006 gekker@suse.de
- Install tango themed icons
- Make tomboy icon transparent (#72457)
* Thu Jan 26 2006 gekker@suse.de
- Disable showing of Start Here note on first_run, since it now
  runs in the default panel
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 gekker@suse.de
- fixup nfb for new gtk-sharp packaging
* Fri Oct 28 2005 gekker@suse.de
- Fix to build with new version of mono.
* Thu Sep 29 2005 sbrabec@suse.cz
- Use secure LD_LIBRARY_PATH in wrapper (#118188).
* Wed Sep  7 2005 gekker@suse.de
- Add dbus-1-x11 to requires to ensure session bus is running (114493)
* Mon Aug 29 2005 aj@suse.de
- Add check-build.sh.
* Wed Aug 10 2005 rodrigo@suse.de
- Update to version 0.3.3
- Removed upstreamed patches.
* Thu Jul 14 2005 sbrabec@suse.cz
- Fixed build with latest mono.
- Removed unneeded static modules and .la files for modules.
- Fixed implicit declaration warning.
* Wed May 18 2005 gekker@suse.de
- Update to version 0.3.2
- Fix to build with mono-1.1.7
* Sat Mar 19 2005 clahey@suse.de
- Approved icon.
* Wed Feb 23 2005 clahey@suse.de
- Patch to fix a bug in Tomboy revealed by the latest C# compiler.
* Wed Feb 16 2005 ro@suse.de
- fixed dependency for gtkspell (not gtk-spell)
* Wed Feb  9 2005 gekker@suse.de
- Fix the Requires
* Mon Feb  7 2005 ro@suse.de
- fix filelist
* Tue Feb  1 2005 gekker@suse.de
- Initial package, version 0.3.1
